Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Commits on May 19, 2012
  1. @rgommers

    REL: set version to 1.6.2.

    rgommers authored
Commits on May 5, 2012
  1. @rgommers

    REL: increase allowed size of DMG installer by 1 Mb.

    rgommers authored
    Caused by the docs becoming much larger (~100 pages) due to numpy.poly
    enhancements.
Commits on May 4, 2012
  1. @rgommers

    REL: set version to 1.6.2rc1

    rgommers authored
Commits on Apr 22, 2012
  1. @rgommers

    BLD: fix build for py3k + pip. Closes #1857. Thanks to Erik Bray.

    rgommers authored
    Also works inside a virtualenv.
  2. @rgommers

    BLD: raise a clearer warning in case of building without cleaning up …

    rgommers authored
    …first.
    
    Occurs only on Python 3.x when a version.py file is already present, due to
    copying the whole tree into build/pyk3/.
    
    (backport of cd6d53f)
Commits on Jul 20, 2011
  1. @rgommers

    REL: set version to 1.6.2.dev

    rgommers authored
  2. @rgommers

    REL: set version to 1.6.1

    rgommers authored
Commits on Jul 11, 2011
  1. @rgommers

    REL: set version to 1.6.1rc3

    rgommers authored
Commits on Jul 1, 2011
  1. @rgommers
Commits on Jun 22, 2011
  1. @rgommers
Commits on Jun 13, 2011
  1. @rgommers

    REL: tag 1.6.1rc1

    rgommers authored
Commits on May 14, 2011
  1. @rgommers
  2. @rgommers

    REL: release Numpy 1.6.0

    rgommers authored
Commits on May 7, 2011
  1. @rgommers
Commits on May 3, 2011
  1. @rgommers
Commits on Apr 30, 2011
  1. @rgommers
  2. @rgommers
  3. @rgommers

    REL: set version to 1.6.0rc1

    rgommers authored
    Also a small update to the release scripts.
Commits on Apr 4, 2011
  1. @rgommers
  2. @rgommers
Commits on Apr 2, 2011
  1. @rgommers

    BLD: do not install swig/cython/pyrex files. See #1791.

    rgommers authored
    This is not a complete fix yet. Should be handled correctly in binary
    installers.
Commits on Mar 27, 2011
  1. @rgommers

    BUG: Py3K: fix setup.py to work from a released tarball.

    rgommers authored
    This was first fixed in commit 0131218 (but that broke the paver script), and
    broken again in commit 13212a5. Should now work in both cases.
    
    (backport of 87e12c1)
Commits on Mar 23, 2011
  1. @rgommers
  2. @rgommers
  3. @rgommers
  4. @rgommers
Commits on Mar 22, 2011
  1. @rgommers
  2. @rgommers
Commits on Mar 4, 2011
  1. @rgommers
Commits on Jan 29, 2011
  1. @mwiebe

    Merge branch 'new_iterator' - new iterator, ufunc update, restore 1.5…

    mwiebe authored
    … ABI
    
    New Iterator - Read doc/neps/new-iterator-ufunc.rst.
    UFunc Update - Change all ufunc functions to use the new iterator.  This
                   replaces the inline buffering with iterator buffering, except
                   for the reductions and generalized ufunc which use updateifcopy
                   at the moment.  Also adds out= and order= parameters to
                   all ufuncs.
    Restore 1.5 ABI - This was done by moving the new type numbers to the end
                   of the type enumeration, and replacing all type promotion
                   code with a table-based approach.  The ArrFuncs was
                   restored by putting the new type cast functions into the
                   cast dictionary, originally designed just for custom
                   types.
    
    Conflicts:
    	numpy/core/src/multiarray/ctors.c
    	numpy/core/tests/test_regression.py
Commits on Jan 28, 2011
  1. @mwiebe

    VER: Change version to 1.6.0

    mwiebe authored
Commits on Jan 25, 2011
  1. @rgommers
Commits on Nov 23, 2010
  1. @pv

    BUG: setup.py: write version.py only after switching to Py3 build dir

    pv authored
    This prevents importing non-2to3'ed numpy in Python 3 build, if
    numpy/version.py exists for some reason but .git does not (e.g building
    multiple Numpy versions from same source tree).
Commits on Nov 15, 2010
  1. @pv
Commits on Nov 10, 2010
  1. @charris
Something went wrong with that request. Please try again.